summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2022-09-30 11:35:11 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2022-09-30 11:35:11 +0000
commit872479ec238585409d89c738b7eff6f872b678fc (patch)
tree540705d0ceaebc0124026e4005f0409d2149f920
parentAdding upstream version 20211008. (diff)
downloadkinet-progress-linux.tar.xz
kinet-progress-linux.zip
Adding progress-linux version 20211008-1~progress6+u1.HEADprogress-linux/20211008-1_progress6+u1progress-linux
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
-rw-r--r--debian/TODO5
-rw-r--r--debian/changelog5
-rw-r--r--debian/control68
-rw-r--r--debian/copyright37
-rw-r--r--debian/kinet-pgp-keys.install1
-rw-r--r--debian/kinet-pgp-keys.lintian-overrides1
-rw-r--r--debian/kinet-ssh-keys.install1
-rw-r--r--debian/kinet-ssh-keys.lintian-overrides1
-rwxr-xr-xdebian/kinet.config99
-rw-r--r--debian/kinet.install2
-rw-r--r--debian/kinet.lintian-overrides1
-rwxr-xr-xdebian/kinet.postinst264
-rwxr-xr-xdebian/kinet.postrm66
-rw-r--r--debian/kinet.templates26
-rw-r--r--debian/po/POTFILES.in1
-rw-r--r--debian/po/c.po.unknown30
-rw-r--r--debian/po/templates.pot82
-rwxr-xr-xdebian/rules19
-rw-r--r--debian/source/format1
-rw-r--r--debian/upstream/signing-key.asc13
-rw-r--r--debian/watch3
21 files changed, 726 insertions, 0 deletions
diff --git a/debian/TODO b/debian/TODO
new file mode 100644
index 0000000..76b437a
--- /dev/null
+++ b/debian/TODO
@@ -0,0 +1,5 @@
+TODO
+====
+
+ * adding debconf question to include deb-src entries.
+ * adding debconf question to also populate debian.org sources.list entries.
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..e2c0e9d
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+kinet (20211008-1~progress6+u1) fuchur-backports; urgency=medium
+
+ * Initial upload to fuchur-backports.
+
+ -- Daniel Baumann <daniel.baumann@progress-linux.org> Fri, 08 Oct 2021 20:19:10 +0200
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..563c0c8
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,68 @@
+Source: kinet
+Section: admin
+Priority: optional
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Bugs: mailto:maintainers@lists.progress-linux.org
+Build-Depends:
+ debhelper-compat (= 13),
+ gnupg,
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Homepage: https://progress-linux.org
+Vcs-Browser: https://git.progress-linux.org/packages/fuchur-backports/progress-linux
+Vcs-Git: https://git.progress-linux.org/packages/fuchur-backports/progress-linux
+XSBC-Original-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
+XSBC-Original-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
+
+Package: kinet
+Section: admin
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ca-certificates,
+ kinet-pgp-keys,
+ kinet-ssh-keys,
+ ${misc:Depends},
+Enhances:
+ apt,
+ openssh-server,
+Description: Progress Linux - Setup
+ Progress Linux is a Debian derivative distribution focused on system
+ integration.
+ .
+ This package allows one to setup the Progress Linux apt archives and ssh
+ cert-authority to the current system.
+
+Package: kinet-pgp-keys
+Section: admin
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Provides:
+ kinet-gpg-keys,
+Enhances:
+ apt,
+Description: Progress Linux - PGP Keys
+ Progress Linux is a Debian derivative distribution focused on system
+ integration.
+ .
+ This package contains the PGP keys used to verify digital signatures on
+ packages and images.
+
+Package: kinet-ssh-keys
+Section: admin
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Enhances:
+ openssh-server,
+Description: Progress Linux - SSH Keys
+ Progress Linux is a Debian derivative distribution focused on system
+ integration.
+ .
+ This package contains the SSH keys used to verify digital signatures on host
+ keys.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..5dac51c
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,37 @@
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: Progress Linux
+Upstream-Contact: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+Source: https://get.progress-linux.org/packages/progress-linux
+
+Files: *
+Copyright: 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
+License: GPL-3+
+
+Files: *-keys
+Copyright: 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
+License: PD
+
+License: GPL-3+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ The complete text of the GNU General Public License
+ can be found in /usr/share/common-licenses/GPL-3 file.
+
+License: PD
+ This program is free software: you have unlimited permission
+ to copy, distribute and modify it.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
diff --git a/debian/kinet-pgp-keys.install b/debian/kinet-pgp-keys.install
new file mode 100644
index 0000000..7f23c0c
--- /dev/null
+++ b/debian/kinet-pgp-keys.install
@@ -0,0 +1 @@
+/usr/share/kinet/pgp-keys
diff --git a/debian/kinet-pgp-keys.lintian-overrides b/debian/kinet-pgp-keys.lintian-overrides
new file mode 100644
index 0000000..e4df23a
--- /dev/null
+++ b/debian/kinet-pgp-keys.lintian-overrides
@@ -0,0 +1 @@
+kinet-pgp-keys: description-is-pkg-name Progress Linux - PGP Keys
diff --git a/debian/kinet-ssh-keys.install b/debian/kinet-ssh-keys.install
new file mode 100644
index 0000000..3f19805
--- /dev/null
+++ b/debian/kinet-ssh-keys.install
@@ -0,0 +1 @@
+/usr/share/kinet/ssh-keys
diff --git a/debian/kinet-ssh-keys.lintian-overrides b/debian/kinet-ssh-keys.lintian-overrides
new file mode 100644
index 0000000..707b6ce
--- /dev/null
+++ b/debian/kinet-ssh-keys.lintian-overrides
@@ -0,0 +1 @@
+kinet-ssh-keys: description-is-pkg-name Progress Linux - SSH Keys
diff --git a/debian/kinet.config b/debian/kinet.config
new file mode 100755
index 0000000..218f475
--- /dev/null
+++ b/debian/kinet.config
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+set -e
+
+NAME="Kinet"
+PROJECT="kinet"
+
+. /usr/share/debconf/confmodule
+
+Run_debconf ()
+{
+ # FIXME
+ return
+
+ # debconf templates
+ db_subst ${PROJECT}/archives CHOICES "${NAME} ${RELEASE} (${CODENAME}), ${NAME} ${RELEASE} (${CODENAME}-security), ${NAME} ${RELEASE} (${CODENAME}-updates), ${NAME} ${RELEASE} (${CODENAME}-extras), ${NAME} ${RELEASE}+ (${CODENAME}-backports), ${NAME} ${RELEASE}+ (${CODENAME}-backports-extras)"
+ db_subst ${PROJECT}/archives CHOICES_C "${CODENAME}, ${CODENAME}-security, ${CODENAME}-updates, ${CODENAME}-extras, ${CODENAME}-backports, ${CODENAME}-backports-extras"
+ db_subst ${PROJECT}/archive-areas CHOICES "main, contrib, non-free, restricted"
+
+ # apt archives
+ db_settitle ${PROJECT}/title
+ db_input high ${PROJECT}/archives || true
+ db_go
+
+ if db_get ${PROJECT}/archives
+ then
+ # apt archive-areas
+ db_settitle ${PROJECT}/title
+ db_input high ${PROJECT}/archive-areas || true
+ db_go
+
+ # apt mirror
+ db_settitle ${PROJECT}/title
+ db_input high ${PROJECT}/mirror || true
+ db_go
+ fi
+}
+
+DEBIAN_VERSION="$(cat /etc/debian_version)"
+PROGRESS_LINUX_VERSION="$(if [ -e /etc/progress-linux_version ]; then cat /etc/progress-linux_version; fi)"
+
+if [ -n "${PROGRESS_LINUX_VERSION}" ]
+then
+ case "${PROGRESS_LINUX_VERSION}" in
+ 5*)
+ RELEASE="5"
+ CODENAME="engywuck"
+
+ Run_debconf
+ ;;
+
+ 6*)
+ RELEASE="6"
+ CODENAME="fuchur"
+
+ Run_debconf
+ ;;
+
+ 7*)
+ RELEASE="7"
+ CODENAME="graograman"
+
+ Run_debconf
+ ;;
+
+ *)
+ echo "W: unsupported debian release"
+ ;;
+ esac
+else
+ case "${DEBIAN_VERSION}" in
+ 10.*|buster/sid)
+ RELEASE="5"
+ CODENAME="engywuck"
+
+ Run_debconf
+ ;;
+
+ 11.*|bullseye/sid)
+ RELEASE="6"
+ CODENAME="fuchur"
+
+ Run_debconf
+ ;;
+
+ 12.*|bookworm/sid)
+ RELEASE="7"
+ CODENAME="graograman"
+
+ Run_debconf
+ ;;
+
+ *)
+ echo "W: unsupported debian release"
+ ;;
+ esac
+fi
+
+db_stop
diff --git a/debian/kinet.install b/debian/kinet.install
new file mode 100644
index 0000000..48661b6
--- /dev/null
+++ b/debian/kinet.install
@@ -0,0 +1,2 @@
+/usr/share/doc
+/usr/share/man
diff --git a/debian/kinet.lintian-overrides b/debian/kinet.lintian-overrides
new file mode 100644
index 0000000..3b89a61
--- /dev/null
+++ b/debian/kinet.lintian-overrides
@@ -0,0 +1 @@
+kinet: manpage-has-bad-whatis-entry usr/share/man/man7/kinet.7.gz
diff --git a/debian/kinet.postinst b/debian/kinet.postinst
new file mode 100755
index 0000000..de6d5c1
--- /dev/null
+++ b/debian/kinet.postinst
@@ -0,0 +1,264 @@
+#!/bin/sh
+
+set -e
+
+PROJECT="kinet"
+DOMAIN="kinet.ch"
+PACKAGES="https://deb.progress-linux.org/packages"
+KEY="/usr/share/progress-linux/pgp-keys/apt.progress-linux.org.gpg"
+
+Install_apt_sources ()
+{
+cat > "/etc/apt/sources.list.d/${PROJECT}.sources" << EOF
+# /etc/apt/sources.list.d/${PROJECT}.sources
+EOF
+}
+
+Remove_apt_sources ()
+{
+ rm -f "/etc/apt/sources.list.d/${PROJECT}.sources"
+}
+
+Install_apt_preferences ()
+{
+cat > "/etc/apt/preferences.d/${PROJECT}.pref" << EOF
+# /etc/apt/preferences.d/${PROJECT}.pref
+EOF
+}
+
+Remove_apt_preferences ()
+{
+ rm -f "/etc/apt/preferences.d/${PROJECT}.pref"
+}
+
+Configure_apt_sources ()
+{
+ # Configure repositories: ${release}, ${release}-security, ${release}-updates, ${release}-backports
+ SUITES=""
+
+ for ARCHIVE in ${ARCHIVES}
+ do
+ case "${ARCHIVE}" in
+ *-extras)
+ ;;
+
+ *)
+ SUITES="${SUITES} ${ARCHIVE}"
+
+ Configure_apt_preferences ${ARCHIVE}
+ ;;
+ esac
+ done
+
+ COMPONENTS="$(echo ${ARCHIVE_AREAS} | sed -e 's| restricted||')"
+ SUITES="$(echo ${SUITES} | sed -e 's|^ *||')"
+
+ if [ -n "${SUITES}" ]
+ then
+ Configure_apt_sources_stanza "${SUITES}" "${COMPONENTS}"
+ fi
+
+ # Configure repositories: ${release}-extras, ${release}-backports-extras
+ SUITES=""
+
+ for ARCHIVE in ${ARCHIVES}
+ do
+ case "${ARCHIVE}" in
+ *-extras)
+ SUITES="${SUITES} ${ARCHIVE}"
+
+ Configure_apt_preferences ${ARCHIVE}
+ ;;
+
+ *)
+ ;;
+ esac
+ done
+
+ COMPONENTS="${ARCHIVE_AREAS}"
+ SUITES="$(echo ${SUITES} | sed -e 's|^ *||')"
+
+ if [ -n "${SUITES}" ]
+ then
+ Configure_apt_sources_stanza "${SUITES}" "${COMPONENTS}"
+ fi
+}
+
+Configure_apt_sources_stanza ()
+{
+ SUITES="${1}"
+ COMPONENTS="${2}"
+
+cat >> "/etc/apt/sources.list.d/${PROJECT}.sources" << EOF
+
+Types: deb
+URIs: ${MIRROR}
+Suites: ${SUITES}
+Components: ${COMPONENTS}
+PDiffs: no
+Signed-By: ${KEY}
+EOF
+}
+
+Configure_apt_preferences ()
+{
+ ARCHIVE="${1}"
+
+ case "${ARCHIVE}" in
+ *-backports*)
+ PIN_PRIORITY="${BACKPORTS_PRIORITY}"
+ ;;
+
+ *)
+ PIN_PRIORITY="999"
+ ;;
+ esac
+
+cat >> "/etc/apt/preferences.d/${PROJECT}.pref" << EOF
+
+Package: *
+Pin: release o=${PROJECT}, n=${ARCHIVE}
+Pin-Priority: ${PIN_PRIORITY}
+EOF
+}
+
+Configure_ssh_known_hosts ()
+{
+ KEY="$(cat /usr/share/${PROJECT}/ssh-keys/ssh.${DOMAIN}.pub)"
+
+ if [ ! -e "/etc/ssh/ssh_known_hosts" ]
+ then
+ mkdir -p /etc/ssh
+
+cat > "/etc/ssh/ssh_known_hosts" << EOF
+# /etc/ssh/ssh_known_hosts
+
+@cert-authority *.${DOMAIN} ${KEY}
+EOF
+
+ else
+ grep -v "^@cert-authority \*.${DOMAIN}" /etc/ssh/ssh_known_hosts > /etc/ssh/ssh_known_hosts.tmp
+
+cat >> "/etc/ssh/ssh_known_hosts.tmp" << EOF
+@cert-authority *.${DOMAIN} ${KEY}
+EOF
+
+ mv -f /etc/ssh/ssh_known_hosts.tmp /etc/ssh/ssh_known_hosts
+ fi
+}
+
+Remove_ssh_known_hosts ()
+{
+ if [ ! -e /etc/ssh/ssh_known_hosts ]
+ then
+ return
+ fi
+
+ # ssh cert-authority
+ grep -v "^@cert-authority \*.${DOMAIN}" /etc/ssh/ssh_known_hosts > /etc/ssh/ssh_known_hosts.tmp
+
+ if [ "$(md5sum /etc/ssh/ssh_known_hosts.tmp | cut -d' ' -f1)" = "2a2b4fdd70705b2029b35a24217138e6" ]
+ then
+ rm -f /etc/ssh/ssh_known_hosts.tmp
+ rm -f /etc/ssh/ssh_known_hosts
+
+ rmdir /etc/ssh > /dev/null 2>&1 || true
+ else
+ mv -f /etc/ssh/ssh_known_hosts.tmp /etc/ssh/ssh_known_hosts
+ fi
+}
+
+Clean ()
+{
+ # Remove apt keys
+ rm -f "/etc/apt/trusted.gpg.d/${PROJECT}.gpg"
+
+ # Remove apt lists
+ rm -f "/etc/apt/sources.list.d/${PROJECT}.list"
+}
+
+case "${1}" in
+ configure)
+ ;;
+
+ FIXME)
+ . /usr/share/debconf/confmodule
+
+ db_get ${PROJECT}/archives
+ ARCHIVES="$(echo ${RET} | sed -e 's|, | |g')" # multiselect w/ empty
+
+ db_get ${PROJECT}/archive-areas
+ ARCHIVE_AREAS="$(echo ${RET:-main} | sed -e 's|, | |g')" # string w/o empty
+
+ db_get ${PROJECT}/mirror
+ MIRROR="$(echo ${RET:-${PACKAGES}})" # string w/o empty
+
+ db_stop
+
+ BACKPORTS_PRIORITY="100"
+
+ for ARCHIVE in ${ARCHIVES}
+ do
+ case "${ARCHIVE}" in
+ engywuck|fuchur)
+ BACKPORTS_PRIORITY="999"
+ ;;
+ esac
+ done
+
+ DEBIAN_VERSION="$(cat /etc/debian_version)"
+
+ case "${DEBIAN_VERSION}" in
+ 10.*|buster/sid)
+ ;;
+
+ 11.*|bullseye/sid)
+ ;;
+
+ 12.*|bookworm/sid)
+ ;;
+
+ *)
+ echo "W: unsupported debian release"
+
+ Remove_apt_sources
+ Remove_apt_preferences
+
+ Remove_ssh_known_hosts
+
+ exit 0
+ ;;
+ esac
+
+ # apt
+ if [ -n "${ARCHIVES}" ]
+ then
+ Install_apt_sources
+ Install_apt_preferences
+
+ Configure_apt_sources
+ else
+ Remove_apt_sources
+ Remove_apt_preferences
+ fi
+
+ # openssh-server
+ Configure_ssh_known_hosts
+
+ # upgrading from buster
+ Clean
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/kinet.postrm b/debian/kinet.postrm
new file mode 100755
index 0000000..6d0bfa2
--- /dev/null
+++ b/debian/kinet.postrm
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+set -e
+
+PROJECT="kinet"
+DOMAIN="kinet.ch"
+
+Remove_apt_sources ()
+{
+ # apt sources
+ rm -f "/etc/apt/sources.list.d/${PROJECT}.list"
+}
+
+Remove_apt_preferences ()
+{
+ # apt preferences
+ rm -f "/etc/apt/preferences.d/${PROJECT}.pref"
+}
+
+Remove_ssh_known_hosts ()
+{
+ if [ ! -e /etc/ssh/ssh_known_hosts ]
+ then
+ return
+ fi
+
+ # ssh cert-authority
+ grep -v "^@cert-authority \*.${DOMAIN}" /etc/ssh/ssh_known_hosts > /etc/ssh/ssh_known_hosts.tmp
+
+ if [ "$(md5sum /etc/ssh/ssh_known_hosts.tmp | cut -d' ' -f1)" = "2a2b4fdd70705b2029b35a24217138e6" ]
+ then
+ rm -f /etc/ssh/ssh_known_hosts.tmp
+ rm -f /etc/ssh/ssh_known_hosts
+
+ rmdir /etc/ssh > /dev/null 2>&1 || true
+ else
+ mv -f /etc/ssh/ssh_known_hosts.tmp /etc/ssh/ssh_known_hosts
+ fi
+}
+
+case "${1}" in
+ remove)
+ ;;
+
+ FIXME)
+ # apt
+ Remove_apt_sources
+ Remove_apt_preferences
+
+ # openssh-server
+ Remove_ssh_known_hosts
+ ;;
+
+ purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/kinet.templates b/debian/kinet.templates
new file mode 100644
index 0000000..d6861ad
--- /dev/null
+++ b/debian/kinet.templates
@@ -0,0 +1,26 @@
+Template: kinet/title
+Type: title
+_Description: Progress Linux: Setup
+
+Template: kinet/archives
+Type: multiselect
+_Choices: ${CHOICES}
+Default:
+_Description: setup apt archives:
+ Please select the apt archives to setup.
+
+Template: kinet/archive-areas
+Type: multiselect
+_Choices: ${CHOICES}
+Default:
+_Description: setup apt archive areas:
+ Please select the apt archive areas to setup.
+
+Template: kinet/mirror
+Type: string
+_Default: https://deb.progress-linux.org/packages
+_Description: enter apt mirror:
+ Please specify the mirror to download packages from.
+ .
+ If unsure, leave empty which will use the default mirror
+ (https://deb.progress-linux.org/packages).
diff --git a/debian/po/POTFILES.in b/debian/po/POTFILES.in
new file mode 100644
index 0000000..ff5f838
--- /dev/null
+++ b/debian/po/POTFILES.in
@@ -0,0 +1 @@
+[type: gettext/rfc822deb] kinet.templates
diff --git a/debian/po/c.po.unknown b/debian/po/c.po.unknown
new file mode 100644
index 0000000..62e2d40
--- /dev/null
+++ b/debian/po/c.po.unknown
@@ -0,0 +1,30 @@
+#
+# Translators, if you are not familiar with the PO format, gettext
+# documentation is worth reading, especially sections dedicated to
+# this format, e.g. by running:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Some information specific to po-debconf are available at
+# /usr/share/doc/po-debconf/README-trans
+# or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+# Developers do not need to manually edit POT or PO files.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: Fri Sep 30 13:31:20 2022\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: Choices
+msgid "${CHOICES}"
+msgstr "${CHOICES_C}"
+
diff --git a/debian/po/templates.pot b/debian/po/templates.pot
new file mode 100644
index 0000000..e80d8c0
--- /dev/null
+++ b/debian/po/templates.pot
@@ -0,0 +1,82 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the kinet package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: kinet\n"
+"Report-Msgid-Bugs-To: kinet@packages.debian.org\n"
+"POT-Creation-Date: 2022-09-30 13:31+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: title
+#. Description
+#: ../kinet.templates:1001
+msgid "Progress Linux: Setup"
+msgstr ""
+
+#. Type: multiselect
+#. Choices
+#. Type: multiselect
+#. Choices
+#: ../kinet.templates:2001 ../kinet.templates:3001
+msgid "${CHOICES}"
+msgstr ""
+
+#. Type: multiselect
+#. Description
+#: ../kinet.templates:2002
+msgid "setup apt archives:"
+msgstr ""
+
+#. Type: multiselect
+#. Description
+#: ../kinet.templates:2002
+msgid "Please select the apt archives to setup."
+msgstr ""
+
+#. Type: multiselect
+#. Description
+#: ../kinet.templates:3002
+msgid "setup apt archive areas:"
+msgstr ""
+
+#. Type: multiselect
+#. Description
+#: ../kinet.templates:3002
+msgid "Please select the apt archive areas to setup."
+msgstr ""
+
+#. Type: string
+#. Default
+#: ../kinet.templates:4001
+msgid "https://deb.progress-linux.org/packages"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../kinet.templates:4002
+msgid "enter apt mirror:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../kinet.templates:4002
+msgid "Please specify the mirror to download packages from."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../kinet.templates:4002
+msgid ""
+"If unsure, leave empty which will use the default mirror (https://deb."
+"progress-linux.org/packages)."
+msgstr ""
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..7e40a69
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,19 @@
+#!/usr/bin/make -f
+
+%:
+ dh ${@}
+
+override_dh_auto_build:
+ # disabled
+
+override_dh_auto_test:
+ # disabled
+
+execute_after_dh_auto_install:
+ # removing useless files
+ rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
+ rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
+ rm -f debian/tmp/usr/share/doc/*/VERSION.txt
+
+override_dh_missing:
+ dh_missing --fail-missing
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/upstream/signing-key.asc b/debian/upstream/signing-key.asc
new file mode 100644
index 0000000..be43c2e
--- /dev/null
+++ b/debian/upstream/signing-key.asc
@@ -0,0 +1,13 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+
+mDMEXAKSaRYJKwYBBAHaRw8BAQdAq1Z910kZKIWBbldmI2RuKath/L9lt/yu9gLu
+AY8yKce0MkRhbmllbCBCYXVtYW5uIDxkYW5pZWwuYmF1bWFubkBwcm9ncmVzcy1s
+aW51eC5vcmc+iJAEExYIADgWIQSVQJ8pRLHG1ExrSdU+bKKNqvjdFAUCXAKSaQIb
+AwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRA+bKKNqvjdFFlRAP0VaDVKUx42
+9KkQogj+zGLbcw6bKLaNiwk0eBTmb9JLxwEAym/fpGDR0EZjXZcDa1caufUqcAnM
+CHC3IIdnRoCMUgW4OARcApJpEgorBgEEAZdVAQUBAQdALzHqExtYOAB5ER6aB1hY
+1gvSBtMqYhgadyhh36ntxyEDAQgHiHgEGBYIACAWIQSVQJ8pRLHG1ExrSdU+bKKN
+qvjdFAUCXAKSaQIbDAAKCRA+bKKNqvjdFIbYAP9LPJkmOR6czAKdnTtJKpntVTfe
+x801sACDw1QYZXLyGQD/QuiYrvW6zeO72KgDWW4TOyjtz9atTLFBCm2RDAKdjwk=
+=EFFA
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..59b2dfb
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,3 @@
+version=4
+opts="pgpmode=auto" \
+https://get.progress-linux.org/packages/progress-linux/upstream/progress-linux-(.+)\.tar\.lz